Loading...
Searching...
No Matches
casacore::ArrayIteratorError Class Reference
casa package (libcasa_casa) » Arrays_module

An error thrown by an ArrayIterator. More...

`#include <ArrayError.h>`

## Public Member Functions

| ArrayIteratorError ()
| Initialize with the message "ArrayIteratorError.
| ArrayIteratorError (const char *m)
| Initialize with the supplied message.
| ArrayIteratorError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayIteratorError () noexcept
Public Member Functions inherited from casacore::ArrayError
| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Detailed Description

An error thrown by an ArrayIterator.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

An ArrayIteratorError is thrown by an array iterator or related class (e.g. VectorIterator).

Definition at line 175 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArrayIteratorError() [1/3]

casacore::ArrayIteratorError::ArrayIteratorError | ( |  | ) |

Initialize with the message "ArrayIteratorError.

## ArrayIteratorError() [2/3]

casacore::ArrayIteratorError::ArrayIteratorError | ( | const char * | m | ) |

Initialize with the supplied message.

## ArrayIteratorError() [3/3]

casacore::ArrayIteratorError::ArrayIteratorError | ( | const std::string & | m | ) |

Initialize with the supplied message.

## ~ArrayIteratorError()

casacore::ArrayIteratorError::~ArrayIteratorError | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h